JexlScriptEngine.JexlScriptObject (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.scripting.JexlScriptEngine.JexlScriptObject class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.scripting
Class JexlScriptEngine.JexlScriptObject

    java.lang.Object
      org.apache.commons.jexl2.scripting.JexlScriptEngine.JexlScriptObject

Enclosing class:
  JexlScriptEngine

    public class JexlScriptEngine.JexlScriptObject

extends java.lang.Object

Implements engine and engine context properties for use by JEXL scripts. Those properties are allways bound to the default engine scope context.

The following properties are defined:

- in - refers to the engine scope reader that defaults to reading System.err
- out - refers the engine scope writer that defaults to writing in System.out
- err - refers to the engine scope writer that defaults to writing in System.err
- logger - the JexlScriptEngine logger
- System - the System.class

Since:
  2.0

Constructor Summary
`JexlScriptEngine.JexlScriptObject()`

Method Summary
`JexlEngine` | `getEngine()` Gives access to the underlying JEXL engine shared between all ScriptEngine instances.
`java.io.PrintWriter` | `getErr()` Gives access to the engine scope error writer (defaults to System.err).
`java.io.Reader` | `getIn()` Gives access to the engine scope input reader (defaults to System.in).
`org.apache.commons.logging.Log` | `getLogger()` Gives access to the engine logger.
`java.io.PrintWriter` | `getOut()` Gives access to the engine scope output writer (defaults to System.out).
`java.lang.Class<java.lang.System>` | `getSystem()` Gives access to System class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JexlScriptEngine.JexlScriptObject

    public JexlScriptEngine.JexlScriptObject()

Method Detail

### getEngine

    public JexlEngine getEngine()

  Gives access to the underlying JEXL engine shared between all ScriptEngine instances.

  Although this allows to manipulate various engine flags (lenient, debug, cache...) for all JexlScriptEngine instances, you probably should only do so if you are in strict control and sole user of the Jexl scripting feature.

  Returns:
    the shared underlying JEXL engine

### getOut

    public java.io.PrintWriter getOut()

  Gives access to the engine scope output writer (defaults to System.out).

  Returns:
    the engine output writer

### getErr

    public java.io.PrintWriter getErr()

  Gives access to the engine scope error writer (defaults to System.err).

  Returns:
    the engine error writer

### getIn

    public java.io.Reader getIn()

  Gives access to the engine scope input reader (defaults to System.in).

  Returns:
    the engine input reader

### getSystem

    public java.lang.Class<java.lang.System> getSystem()

  Gives access to System class.

  Returns:
    System.class

### getLogger

    public org.apache.commons.logging.Log getLogger()

  Gives access to the engine logger.

  Returns:
    the JexlScriptEngine logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.